Uploaded image for project: 'Forum (closed)'
  1. Forum (closed)
  2. MGNLFORUM-293

Remove dependency on admininterface-legacy

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Neutral
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.6
    • Component/s: None
    • Labels:
      None

      Description

      Decision for 5.5 is to remove the Forum from the bundle (and the packs). Atm it has not been decided that we officially deprecate the Forum but it will not be released with 5.5.
      In case a customer still wants to use the Forum with 5.5 he should still be able to add the admin-legacy and forum modules.
      Somewhen in Q4/2016 the decision should happen if we want to invest into the Forum and refactor it completely or deprecate it officially.

      Proposed solution

      Remove all code which relies on admin-legacy. This will break functionality in the Forum Module but should have no effect on the commenting module.

      (Originally DEV-277)

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mmichel Maxime Michel
              Reporter:
              mmuehlebach Michael Mühlebach
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Date of First Response: